@echo off
echo Microsoft Windows 98 Update for LANDesk Client Manager, version 1.10
echo.
echo This patch updates your LDCM image for Windows 98 compatability.
echo.  
echo A: 3.10
echo B: 3.11 or 3.12
echo C: 3.2x 
echo D: Exit without installing patch
echo.   
ldchoice /c:ABCD Please choose the version of LDCM that you wish to patch:
echo. 
if ERRORLEVEL=4 goto EXIT
if ERRORLEVEL=3 goto 32
if ERRORLEVEL=2 goto 311
if ERRORLEVEL=1 goto 310

:EXIT
goto END

:32
REM **********************************3.2 and newer**********************************
REM PATCH ENGLISH FILES
:ENU
echo.
echo 1) This patch assumes that there is an uninstalled image of LDCM version 3.2x.
echo 2) It assumes the patch files are copied to the binaries\client directory. 
echo 3) It assumes that deltree.exe was copied to the binaries\client directory also.
echo. 

pause

set LANG=enu
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo Cannot find %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing %LANG% files...
echo.
..\icomp %LANG%ci.z ci\ -d

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\old\ciacomp.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\ciadrv.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\osoperat.dll ci\data.z win95\ci\os -o
..\icomp ..\old\oidquery.vxd ci\data.z win95\system -o
..\icomp ..\old\iaoemlng.dll ci\%LANG%.z -o

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* %LANG%ci.z -i

echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

REM PATCH GERMAN FILES
:DEU1
set LANG=deu
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo %LANG% files do not exist
if not exist %DIRNAME%\nul goto FRA1
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing German files...
echo.
..\icomp %LANG%ci.z ci\ -d

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\old\ciacomp.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\ciadrv.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\osoperat.dll ci\data.z win95\ci\os -o
..\icomp ..\old\oidquery.vxd ci\data.z win95\system -o
..\icomp ..\old\iaoemlng.dll ci\%LANG%.z -o

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* %LANG%ci.z -i

echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

REM PATCH FRENCH FILES
:FRA1
set LANG=fra
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo %LANG% files do not exist
if not exist %DIRNAME%\nul goto ITA1
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing %LANG% files...
echo.
..\icomp %LANG%ci.z ci\ -d

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\old\ciacomp.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\ciadrv.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\osoperat.dll ci\data.z win95\ci\os -o
..\icomp ..\old\oidquery.vxd ci\data.z win95\system -o
..\icomp ..\old\iaoemlng.dll ci\%LANG%.z -o

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* %LANG%ci.z -i

echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

REM PATCH ITALIAN FILES
:ITA1
set LANG=ita
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo %LANG% files do not exist
if not exist %DIRNAME%\nul goto ESP1
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing %LANG% files...
echo.
..\icomp %LANG%ci.z ci\ -d

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\old\ciacomp.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\ciadrv.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\osoperat.dll ci\data.z win95\ci\os -o
..\icomp ..\old\oidquery.vxd ci\data.z win95\system -o
..\icomp ..\old\iaoemlng.dll ci\%LANG%.z -o

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* %LANG%ci.z -i

echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

REM PATCH SPANISH FILES
:ESP1
set LANG=esp
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo %LANG% files do not exist
if not exist %DIRNAME%\nul goto JPN1
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing %LANG% files...
echo.
..\icomp %LANG%ci.z ci\ -d

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\old\ciacomp.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\ciadrv.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\osoperat.dll ci\data.z win95\ci\os -o
..\icomp ..\old\oidquery.vxd ci\data.z win95\system -o
..\icomp ..\old\iaoemlng.dll ci\%LANG%.z -o

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* %LANG%ci.z -i

echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

REM PATCH JAPANESE FILES
:JPN1
set LANG=jpn
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo %LANG% files do not exist
if not exist %DIRNAME%\nul goto COMP1
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing %LANG% files...
echo.
..\icomp %LANG%ci.z ci\ -d

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\old\ciacomp.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\ciadrv.dll ci\data.z win95\ci\audio -o
..\icomp ..\old\osoperat.dll ci\data.z win95\ci\os -o
..\icomp ..\old\oidquery.vxd ci\data.z win95\system -o
..\icomp ..\old\iaoemlng.dll ci\%LANG%.z -o

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* %LANG%ci.z -i

echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

:COMP1

if exist readme.wri del readme.wri
del ldchoice.exe
del icomp.exe
deltree /Y old
deltree /Y older

echo.
echo This finishes the patch installation. Please delete the batch file
echo win98.bat and deltree.exe from the binaries\client directory.
echo.
goto END

:311
REM **********************************3.11 and 3.12**********************************

REM PATCH ENGLISH FILES
:ENU
echo.
echo 1) This patch assumes that there is an uninstalled image of LDCM version
echo 3.11 or 3.12 on this machine. 2) It assumes the patch files were copied to the 
echo root of the product directory-at the same level as the Client\ENU, Client\DEU, etc., 
echo folders. 3) It echo also assumes that deltree.exe was copied to the root of the 
echo product directory.
echo. 

pause

set LANG=enu
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo Cannot find %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

set DIRNAME=ci2
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing %LANG% files...
echo.
..\icomp data.z ci\ -d -i
..\icomp %LANG%cnt.z ci2\ -d -i
echo.

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\older\ciacomp.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\ciadrv.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\osoperat.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\oidquery.vxd ci\common\install\data.z win95\system -o
..\icomp ..\older\oscomp.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\iaoemlng.dll ci2\install\%LANG%.z -o
echo.

echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* data.z -i
..\icomp ci2\*.* %LANG%cnt.z -i


echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

REM PATCH GERMAN FILES
:DEU2
set LANG=deu
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo %LANG% files do not exist
if not exist %DIRNAME%\nul goto FRA2
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

set DIRNAME=ci2
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing German files...
echo.
..\icomp data.z ci\ -d -i
..\icomp %LANG%cnt.z ci2\ -d -i

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\older\ciacomp.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\ciadrv.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\osoperat.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\oidquery.vxd ci\common\install\data.z win95\system -o
..\icomp ..\older\oscomp.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\iaoemlng.dll ci2\install\%LANG%.z -o
echo.

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* data.z -i
..\icomp ci2\*.* %LANG%cnt.z -i

echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

REM PATCH FRENCH FILES
:FRA2
set LANG=fra
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo %LANG% files do not exist
if not exist %DIRNAME%\nul goto ITA2
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

set DIRNAME=ci2
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing German files...
echo.
..\icomp data.z ci\ -d -i
..\icomp %LANG%cnt.z ci2\ -d -i

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\older\ciacomp.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\ciadrv.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\osoperat.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\oidquery.vxd ci\common\install\data.z win95\system -o
..\icomp ..\older\oscomp.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\iaoemlng.dll ci2\install\%LANG%.z -o
echo.

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* data.z -i
..\icomp ci2\*.* %LANG%cnt.z -i


echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

REM PATCH ITALIAN FILES
:ITA2
set LANG=ita
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo %LANG% files do not exist
if not exist %DIRNAME%\nul goto ESP2
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

set DIRNAME=ci2
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing German files...
echo.
..\icomp data.z ci\ -d -i
..\icomp %LANG%cnt.z ci2\ -d -i

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\older\ciacomp.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\ciadrv.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\osoperat.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\oidquery.vxd ci\common\install\data.z win95\system -o
..\icomp ..\older\oscomp.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\iaoemlng.dll ci2\install\%LANG%.z -o
echo.

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* data.z -i
..\icomp ci2\*.* %LANG%cnt.z -i


echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

REM PATCH SPANISH FILES
:ESP2
set LANG=esp
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo %LANG% files do not exist
if not exist %DIRNAME%\nul goto JPN2
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

set DIRNAME=ci2
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing German files...
echo.
..\icomp data.z ci\ -d -i
..\icomp %LANG%cnt.z ci2\ -d -i

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\older\ciacomp.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\ciadrv.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\osoperat.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\oidquery.vxd ci\common\install\data.z win95\system -o
..\icomp ..\older\oscomp.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\iaoemlng.dll ci2\install\%LANG%.z -o
echo.

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* data.z -i
..\icomp ci2\*.* %LANG%cnt.z -i

echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

REM PATCH JAPANESE FILES
:JPN2
set LANG=jpn
set DIRNAME=%LANG%
if not exist %DIRNAME%\nul echo %LANG% files do not exist
if not exist %DIRNAME%\nul goto COMP1
cd %DIRNAME%

set DIRNAME=ci
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

set DIRNAME=ci2
if not exist %DIRNAME%\nul md %DIRNAME%
if not exist %DIRNAME%\nul echo Cannot create %DIRNAME% directory. Please review readme.wri for information. 
if not exist %DIRNAME%\nul goto ErrorEnd

echo.
echo Decompressing German files...
echo.
..\icomp data.z ci\ -d -i
..\icomp %LANG%cnt.z ci2\ -d -i

echo.
echo Replacing %LANG% files...
echo.
..\icomp ..\older\ciacomp.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\ciadrv.dll ci\common\install\data.z win95\ci\audio -o
..\icomp ..\older\osoperat.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\oidquery.vxd ci\common\install\data.z win95\system -o
..\icomp ..\older\oscomp.dll ci\common\install\data.z win95\ci\os -o
..\icomp ..\older\iaoemlng.dll ci2\install\%LANG%.z -o
echo.

echo.
echo Recompressing %LANG% files...
echo.
..\icomp ci\*.* data.z -i
..\icomp ci2\*.* %LANG%cnt.z -i


echo.
echo Deleting temporary files
echo.
attrib -r ci\*.* /S
..\deltree /Y ci
cd..

:COMP1

if exist readme.wri del readme.wri
del ldchoice.exe
del icomp.exe
deltree /Y old
deltree /Y older

echo.
echo This finishes the patch installation. Please delete the batch file
echo win98.bat and deltree.exe from the binaries\client directory.
echo.
goto END

:END
 
